video {
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: -1;
  background: rgba(0, 0, 0, 0.5);
}


body{
  background-image: url(./assets/background-portrait.jpg);
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  text-align: center;
  font-family: "Montserrat", sans-serif;
  margin-left: auto;
  margin-right: auto;
  width: 1000px;
  max-width: 95vw;
  min-height: 100vh;
  height: auto;
  letter-spacing: 0.1em;
  padding-top: 85px; /* Adjust this to the height of the header */
}

body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #06060699;
    z-index: -1;
}

.icon {
	height: 100px;
	border-radius: 100px;
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-top: 50px;
	margin-bottom: 25px;
}

.logo {
	height: 80px;
	display: block;
	margin-left: auto;
	margin-right: auto;
	margin-top: 50px;
	margin-bottom: 50px;
}

h1{
	font-size: 25px;
	font-family: inter, sans-serif;
	vertical-align: middle;
	text-align: center;
	color: #ffffff;
	text-shadow: 1px 1px 2px #231f20;
	font-weight: 600;
}

h2 {
	font-size: 20px;
	font-family: inter, sans-serif;
	vertical-align: middle;
	text-align: center;
	color: #ffffff;
	text-shadow: 1px 1px 1px #231f20;
	margin-bottom: 15px;
	font-weight: 400;
}

h3 {
	font-size: 16px;
	font-family: inter, sans-serif;
	vertical-align: middle;
	text-align: center;
	color: #ffffff;
	text-shadow: 0px 0px 0px #0263e3;
	font-weight: 200;
}

h4{
	font-size: 25px;
	font-family: inter, sans-serif;
	vertical-align: middle;
	text-align: center;
	color: #ffffff;
	text-shadow: 1px 1px 2px #231f20;
}

h5{
	font-size: 20px;
	font-family: inter, sans-serif;
	vertical-align: middle;
	font-weight: 40;
	font-style: italic;
	text-align: center;
	color: #ffffff;
	text-shadow: 1px 1px 2px #231f20;
	margin-bottom: 10px;
}

p{
	font-size: 20px;
	font-family: inter, sans-serif;
	vertical-align: middle;
	text-align: center;
	color: #ffffff;
	margin-bottom: 15px;
	line-height: 1.5;
}


.links__item{
	display: block;
	max-width: 550px;
	margin: 0 auto 15px;
	margin-bottom: 5px;
	padding: 15px 20px;
	font-size: 16px;
	line-height: 1.5;
	text-decoration: none;
	transition: all 0.2s ease-in-out;
	color: #060606;
	font-family: inter, sans-serif;
}

.links__item .links__item--button {
border-radius: 10px;
border: 3px solid #0263e3;
background-color: #ffffff;
vertical-align: middle;
text-align: center;
}


.links__item .links__item--button:hover{
  transform: scale(1.05);
  border: 3px solid #0263e4;
  background-color: #231f20;
  color: #0263e4;
}

.links__item .links__item--buttoninv {
border-radius: 10px;
border: 3px solid #ffffff;
background-color: #0263e3dd;
vertical-align: top;
text-align: center;
color: #ffffff;
}


.links__item .links__item--buttoninv:hover{
  transform: scale(1.05);
  border: 3px solid #0263e4;
  background-color: #ffffffdd;
  color: #060606;
}

.channels {
  display: flex;
  max-width: 400px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 25px;
  margin-bottom: 20px;
}

.channels .channels__item {
  flex: 1;
  transition: transform 0.2s;
  vertical-align: middle;
  text-align: center;
}

.channels__item:hover {
  transform: scale(1.5);
}

.widget-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
	padding-top: 20px;
}

.property-widget-xxxx {
	max-width: 500px;
	width: 100%;
	font-family: inter, sans-serif;
	border-radius: 10px;
	border: 3px solid #0263e3;
	background-color: #ffffff;
	padding-bottom: 20px;
	margin-bottom: 20px;
	display: block;
}

.property-widget {
    max-width: 500px;
    width: 100%;
    flex: 1 1 calc(50% - 40px); /* Adjusting to fit two per row with a 20px gap on each side */
    box-sizing: border-box; /* Ensure padding and border are included in the element's total width and height */
    font-family: inter, sans-serif;
    border-radius: 10px;
    border: 3px solid #0263e3;
    background-color: #ffffff;
    padding-bottom: 20px;
    margin-bottom: 20px;
    display: block;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Optional: to add a subtle shadow */
    text-decoration: none; /* Remove underline from link */
    color: inherit; /* Inherit text color */
    position: relative;
}

.property-widget img {
	width: 100%;
	max-height: 400px;
	object-fit: cover;
}

.property-widget .property-price{
	font-family: inter, sans-serif;
	margin-top: 10px;
	margin-bottom: 10px;
	font-size: 20px;
	font-weight: 600;
	color: #0263e3;

}

.property-widget .property-title{
	font-family: inter, sans-serif;
    margin-bottom: 10px;
	font-size: 16px;
	font-weight: 300;
	color: #060606;

}

.property-widget .property-title,
.property-widget .property-info {
	font-family: inter, sans-serif;
	margin-left: 20px;
	margin-right: 20px;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.property-widget .property-info{
     margin-bottom: 30px;
}

.property-widget .property-location {
	font-family: inter, sans-serif;
    margin-top: 20px; 
	margin-bottom: 30px;
	font-size: 15px;
	color: #0263e3;
}

.property-widget .property-title {
	font-size: 20px;
	font-weight: bold;
}
.property-widget .property-info{
	font-size: 15px;
	color: #666;
}

.property-widget .property-features {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 15px;
	font-size: 15px;
	color: #060606;
	margin-bottom: 10px;
	padding-left: 5px;
	padding-right: 5px;
}
.property-widget .property-features div {
	display: flex;
	align-items: center;
}
.property-widget .property-features div i {
	margin-right: 5px;
	color: #0263e3;
}
.property-widget .property-button {
	text-align: center;
}
.property-widget .property-button button {
	font-family: inter, sans-serif;
	width: 250px;
	padding: 10px 20px;
	font-size: 15px;
	background-color: #0263e3;
	color: #ffffff;
	border: none;
	border-radius: 5px;
	cursor: pointer;
}
.property-widget .property-button button:hover {
	background-color: #024bb5;
}

.list-benefit {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
	padding: 20px;
}

.list-benefit ul {
    list-style-type: none; /* Remove default list styling */
    padding: 0;
    margin: 0;
}

.list-benefit li {
    background-color: rgba(255, 255, 255, 0.8); /* #0263e3 with 20% transparency */
    color: #060606;
    border-radius: 10px;
    padding: 20px;
    font-size: 15px; /* Adjust font size as needed */
    line-height: 1; /* Adjust line height as needed */
	margin-top: 20px;
	max-width: 650px;
}




/* Responsive Design */
@media (max-width: 768px) {
    .property-widget {
        flex: 1 1 100%; /* Full width on smaller screens */
    }

    .property-widget .property-title,
    .property-widget .property-info {
        margin-left: 10px;
        margin-right: 10px;
    }

	.links__item .links__item--button:hover{
		transform: scale(1);
		border: 3px solid #0263e3;
		background-color: #ffffff;
		color: #060606;
	  }

	.links__item .links__item--buttoninv:hover{
		transform: scale(1.0);
		border: 3px solid #ffffff;
	background-color: #0263e3dd;
		color: #ffffff;
	  } 
}